package com.cf.imes.module.system.validation.sms;

import cn.hutool.core.util.ObjectUtil;
import com.cf.imes.module.system.enums.sms.SmsTemplateTypeEnum;

import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * 短信模版校验器
 *
 * @author Gqr
 * @since 2024/10/15 13:47
 */
public class SmsTemplateTypeValidator implements ConstraintValidator<SmsTemplateTypeValid, Integer> {
    @Override
    public boolean isValid(Integer value, ConstraintValidatorContext context) {
        if (ObjectUtil.isNull(value)) {
            return true;
        }
        for (SmsTemplateTypeEnum templateTypeEnum : SmsTemplateTypeEnum.values()) {
            if (ObjectUtil.equal(templateTypeEnum.getType(), value)) {
                return true;
            }
        }
        return false;
    }
}
